Package org.eclipse.emf.compare.ide.ui.internal.configuration

# Class ForwardingCompareConfiguration

java.lang.Object
org.eclipse.compare.CompareConfiguration
org.eclipse.emf.compare.ide.ui.internal.configuration.ForwardingCompareConfiguration

Direct Known Subclasses:
  `EMFCompareConfiguration`

public abstract class ForwardingCompareConfiguration extends org.eclipse.compare.CompareConfiguration

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ForwardingCompareConfiguration.MirroredPropertyChangeListener`
A property change listener that listens specifically for the property indicating that compare configuration's {@link ForwardingCompareConfiguration#isMirrored()isMirrored} value has changed.

## Field Summary

### Fields inherited from class org.eclipse.compare.CompareConfiguration

`IGNORE_WHITESPACE, MIRRORED, SHOW_PSEUDO_CONFLICTS, USE_OUTLINE_VIEW`

## Constructor Summary

Constructors
Constructor
Description
`ForwardingCompareConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener listener)`
`protected abstract org.eclipse.compare.CompareConfiguration`
`delegate()`
`void`
`dispose()`
`protected final void`
`fireChange(String propertyName, Object oldValue, Object newValue)`
Fires a `PropertyChangeEvent` to registered listeners.
`org.eclipse.swt.graphics.Image`
`getAncestorImage(Object element)`
`String`
`getAncestorLabel(Object element)`
`org.eclipse.compare.ICompareContainer`
`getContainer()`
`org.eclipse.swt.graphics.Image`
`getImage(int kind)`
`org.eclipse.swt.graphics.Image`
`getImage(org.eclipse.swt.graphics.Image base, int kind)`
`org.eclipse.compare.ICompareInputLabelProvider`
`getLabelProvider()`
`org.eclipse.swt.graphics.Image`
`getLeftImage(Object element)`
`String`
`getLeftLabel(Object element)`
`org.eclipse.jface.preference.IPreferenceStore`
`getPreferenceStore()`
`Object`
`getProperty(String key)`
`org.eclipse.swt.graphics.Image`
`getRightImage(Object element)`
`String`
`getRightLabel(Object element)`
`boolean`
`isChangeIgnored(int kind)`
`boolean`
`isEditable(boolean left)`
Facility to check for editability of a given side to facilitate implementation in classes that receive a boolean to indicate the side.
`boolean`
`isLeftEditable()`
`boolean`
`isMirrored()`
For backward compatibility, we override this to have the same implementation behavior as Eclipse Compare 3.7.
`boolean`
`isRightEditable()`
`void`
`removePropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener listener)`
`void`
`setAncestorImage(org.eclipse.swt.graphics.Image image)`
`void`
`setAncestorLabel(String label)`
`void`
`setChangeIgnored(int kind, boolean ignored)`
`void`
`setContainer(org.eclipse.compare.ICompareContainer container)`
`void`
`setDefaultLabelProvider(org.eclipse.compare.ICompareInputLabelProvider labelProvider)`
`void`
`setLabelProvider(org.eclipse.compare.structuremergeviewer.ICompareInput input, org.eclipse.compare.ICompareInputLabelProvider labelProvider)`
`void`
`setLeftEditable(boolean editable)`
`void`
`setLeftImage(org.eclipse.swt.graphics.Image image)`
`void`
`setLeftLabel(String label)`
`void`
`setProperty(String key, Object newValue)`
`void`
`setRightEditable(boolean editable)`
`void`
`setRightImage(org.eclipse.swt.graphics.Image image)`
`void`
`setRightLabel(String label)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ForwardingCompareConfiguration

public ForwardingCompareConfiguration()

## Method Details

### delegate

protected abstract org.eclipse.compare.CompareConfiguration delegate()

### getPreferenceStore

public org.eclipse.jface.preference.IPreferenceStore getPreferenceStore()

Overrides:
  `getPreferenceStore` in class `org.eclipse.compare.CompareConfiguration`

### getImage

public org.eclipse.swt.graphics.Image getImage(int kind)

Overrides:
  `getImage` in class `org.eclipse.compare.CompareConfiguration`

### getImage

public org.eclipse.swt.graphics.Image getImage(org.eclipse.swt.graphics.Image base, int kind)

Overrides:
  `getImage` in class `org.eclipse.compare.CompareConfiguration`

### dispose

public void dispose()

Overrides:
  `dispose` in class `org.eclipse.compare.CompareConfiguration`

### addPropertyChangeListener

public void addPropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener listener)

Overrides:
  `addPropertyChangeListener` in class `org.eclipse.compare.CompareConfiguration`

### removePropertyChangeListener

public void removePropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener listener)

Overrides:
  `removePropertyChangeListener` in class `org.eclipse.compare.CompareConfiguration`

### fireChange

protected final void fireChange(String propertyName, Object oldValue, Object newValue)
Fires a `PropertyChangeEvent` to registered listeners.

Parameters:
  `propertyName` - the name of the property that has changed
  `oldValue` - the property's old value
  `newValue` - the property's new value

### setProperty

public void setProperty(String key, Object newValue)

Overrides:
  `setProperty` in class `org.eclipse.compare.CompareConfiguration`

### getProperty

public Object getProperty(String key)

Overrides:
  `getProperty` in class `org.eclipse.compare.CompareConfiguration`

### setAncestorLabel

public void setAncestorLabel(String label)

Overrides:
  `setAncestorLabel` in class `org.eclipse.compare.CompareConfiguration`

### getAncestorLabel

public String getAncestorLabel(Object element)

Overrides:
  `getAncestorLabel` in class `org.eclipse.compare.CompareConfiguration`

### setAncestorImage

public void setAncestorImage(org.eclipse.swt.graphics.Image image)

Overrides:
  `setAncestorImage` in class `org.eclipse.compare.CompareConfiguration`

### getAncestorImage

public org.eclipse.swt.graphics.Image getAncestorImage(Object element)

Overrides:
  `getAncestorImage` in class `org.eclipse.compare.CompareConfiguration`

### setLeftEditable

public void setLeftEditable(boolean editable)

Overrides:
  `setLeftEditable` in class `org.eclipse.compare.CompareConfiguration`

### isLeftEditable

public boolean isLeftEditable()

Overrides:
  `isLeftEditable` in class `org.eclipse.compare.CompareConfiguration`

### setLeftLabel

public void setLeftLabel(String label)

Overrides:
  `setLeftLabel` in class `org.eclipse.compare.CompareConfiguration`

### getLeftLabel

public String getLeftLabel(Object element)

Overrides:
  `getLeftLabel` in class `org.eclipse.compare.CompareConfiguration`

### setLeftImage

public void setLeftImage(org.eclipse.swt.graphics.Image image)

Overrides:
  `setLeftImage` in class `org.eclipse.compare.CompareConfiguration`

### getLeftImage

public org.eclipse.swt.graphics.Image getLeftImage(Object element)

Overrides:
  `getLeftImage` in class `org.eclipse.compare.CompareConfiguration`

### setRightEditable

public void setRightEditable(boolean editable)

Overrides:
  `setRightEditable` in class `org.eclipse.compare.CompareConfiguration`

### isRightEditable

public boolean isRightEditable()

Overrides:
  `isRightEditable` in class `org.eclipse.compare.CompareConfiguration`

### setRightLabel

public void setRightLabel(String label)

Overrides:
  `setRightLabel` in class `org.eclipse.compare.CompareConfiguration`

### getRightLabel

public String getRightLabel(Object element)

Overrides:
  `getRightLabel` in class `org.eclipse.compare.CompareConfiguration`

### setRightImage

public void setRightImage(org.eclipse.swt.graphics.Image image)

Overrides:
  `setRightImage` in class `org.eclipse.compare.CompareConfiguration`

### getRightImage

public org.eclipse.swt.graphics.Image getRightImage(Object element)

Overrides:
  `getRightImage` in class `org.eclipse.compare.CompareConfiguration`

### getContainer

public org.eclipse.compare.ICompareContainer getContainer()

Overrides:
  `getContainer` in class `org.eclipse.compare.CompareConfiguration`

### setContainer

public void setContainer(org.eclipse.compare.ICompareContainer container)

Overrides:
  `setContainer` in class `org.eclipse.compare.CompareConfiguration`

### getLabelProvider

public org.eclipse.compare.ICompareInputLabelProvider getLabelProvider()

Overrides:
  `getLabelProvider` in class `org.eclipse.compare.CompareConfiguration`

### setLabelProvider

public void setLabelProvider(org.eclipse.compare.structuremergeviewer.ICompareInput input, org.eclipse.compare.ICompareInputLabelProvider labelProvider)

Overrides:
  `setLabelProvider` in class `org.eclipse.compare.CompareConfiguration`

### setDefaultLabelProvider

public void setDefaultLabelProvider(org.eclipse.compare.ICompareInputLabelProvider labelProvider)

Overrides:
  `setDefaultLabelProvider` in class `org.eclipse.compare.CompareConfiguration`

### setChangeIgnored

public void setChangeIgnored(int kind, boolean ignored)

Overrides:
  `setChangeIgnored` in class `org.eclipse.compare.CompareConfiguration`

### isChangeIgnored

public boolean isChangeIgnored(int kind)

Overrides:
  `isChangeIgnored` in class `org.eclipse.compare.CompareConfiguration`

### isEditable

public boolean isEditable(boolean left)
Facility to check for editability of a given side to facilitate implementation in classes that receive a boolean to indicate the side.

Parameters:
  `left` -
Returns:
  `true` if the given side is editable.

### isMirrored

public boolean isMirrored()
For backward compatibility, we override this to have the same implementation behavior as Eclipse Compare 3.7.

Overrides:
  `isMirrored` in class `org.eclipse.compare.CompareConfiguration`